! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
module realsame_mod

implicit none

contains

logical function realsame(r1, r2, tol)

real r1, r2, tol, rmin, rmax
logical same



rmin = (1.-tol)*r2
rmax = (1.+tol)*r2

same = .false.

if ( (r1 >= rmin) .and. (r1 <= rmax)) same = .true.

realsame = same
end function realsame

end module realsame_mod
