! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
module parse_mod

implicit none

contains

subroutine parse(string, array, narray)
character(len=*) string,array(*)
character(len=1024) rest,temp
integer narray,j

rest = string
narray = 0

do while (index(rest,',') /= 0)
  narray = narray + 1
  j = index(rest,',')
  array(narray) = rest(:j-1)
  temp = rest(j+1:)
  rest = temp
enddo 
narray = narray + 1
array(narray) = trim(rest)
end subroutine parse

end module parse_mod
